<?php
  session_start();
  $rut=$_SESSION['rut'];
  $cliente=$_SESSION['cliente'];
	include '../../conexion/conn.php';
$caja_id=$_REQUEST['caja_id'];
$hora=$_REQUEST['hora'];
  $cant_amarras=$_REQUEST['cant_amarras'];
  $ubicacion_amarras=$_REQUEST['ubicacion_amarras'];
  $punta_cargador_sin_amarrar=$_REQUEST['punta_cargador_sin_amarrar'];
  $cant_cargador_sin_amarrar=$_REQUEST['cant_cargador_sin_amarrar'];

  $cuartel3=$_REQUEST['cuartel3'];
  $cuadrilla3=$_REQUEST['cuadrilla3'];
  
  $observacion=$_REQUEST['observacion'];

$contador=0;
$suma=0;
  if($cant_amarras!=""){
    $contador++;
    $suma+=$cant_amarras;
  }

  if($ubicacion_amarras!=""){
    $contador++;
    $suma+=$ubicacion_amarras;
  }

  if($punta_cargador_sin_amarrar!=""){
    $contador++;
    $suma+=$punta_cargador_sin_amarrar;
  }

  if($cant_cargador_sin_amarrar!=""){
    $contador++;
    $suma+=$cant_cargador_sin_amarrar;
  }


  $prom=$suma/$contador;

  
  	$result=mysql_query("UPDATE cal_caja_pla_huerto 
      SET hora='$hora',
      cuartel='$cuartel3',
      cuadrilla='$cuadrilla3',
      cant_amarras='$cant_amarras',
      prom='$prom',
      ubicacion_amarras='$ubicacion_amarras',
      punta_cargador_sin_amarrar='$punta_cargador_sin_amarrar',
      cant_cargador_sin_amarrar='$cant_cargador_sin_amarrar',
      observacion='$observacion'
      
      WHERE caja_id='$caja_id'");

  

  
					
			

	

  	

	if($result){
		echo json_encode(array('success'=>true));
	}else{
		echo json_encode(array('success'=>false));
	}






?>